local AddName, Ns = ...
local L = Ns.L


----------------------
--		SinLive		--
----------------------
function Ns.SinLive(self)

	Ns.shatteringStar, Ns.skyreach, Ns.radiantSpark, Ns.betweenEyes = 0, 0, 0, 0
	Ns.chaosBrand, Ns.mysticTouch, Ns.colossusSmash, Ns.razorIce = 0, 0, 0, 0
	Ns.felSunder, Ns.faeExposure, Ns.brittle, Ns.eradication = 0, 0, 0, 0
	Ns.charringEmbers, Ns.finalReck, Ns.judgement, Ns.barbedShot = 0, 0, 0, 0

	for i = 1, 40 do
	local _, _, dcount, _, _, _, caster, _, _, debuffId = UnitDebuff("target", i)
	local _, _, pcount, _, _, _, _, _, _, petId = UnitBuff("pet",i, "HELPFUL")

	if Ns.BarbedShot[petId] then Ns.barbedShot = Ns.BarbedShot[petId][1] * pcount end

	if not debuffId then break end

		if Ns.ShatteringStar[debuffId] and Ns.classFilename == "EVOKER" then Ns.shatteringStar = Ns.ShatteringStar[debuffId][1] end
		if Ns.Skyreach[debuffId] and caster == "player" then Ns.skyreach = Ns.Skyreach[debuffId][1] end
		if Ns.RadiantSpark[debuffId] and caster == "player" then Ns.radiantSpark = dcount * 10 / 100 end
		if Ns.BetweenEyes[debuffId] and caster == "player" then Ns.betweenEyes = Ns.BetweenEyes[debuffId][1] end
		if Ns.ChaosBrand[debuffId] then Ns.chaosBrand = Ns.ChaosBrand[debuffId][1] end
		if Ns.MysticTouch[debuffId] then Ns.mysticTouch = Ns.MysticTouch[debuffId][1] end
		if Ns.ColossusSmash[debuffId] and caster == "player" then Ns.colossusSmash = Ns.ColossusSmash[debuffId][1] end
		if Ns.RazorIce[debuffId] and caster == "player" then Ns.razorIce = dcount * 3 / 100 end
		if Ns.FelSunder[debuffId] and caster == "player" then Ns.felSunder = dcount / 100 end
		if Ns.FaeExposure[debuffId] and caster == "player" then Ns.faeExposure = Ns.FaeExposure[debuffId][1] end
		if Ns.Brittle[debuffId] then Ns.brittle = Ns.Brittle[debuffId][1] end
		if Ns.FinalReckoning[debuffId] and caster == "player" then Ns.finalReck = Ns.FinalReckoning[debuffId][1] end
		if Ns.Judgement[debuffId] and caster == "player" then Ns.judgement = Ns.Judgement[debuffId][1] end
		if Ns.CharringEmbers[debuffId] and caster == "player" then Ns.charringEmbers = Ns.CharringEmbers[debuffId][1] end

		if Ns.classFilename == "WARLOCK" then
			if Ns.Eradication[debuffId] then Ns.eradication = Ns.EradicationTalent end
		end
	end
end